> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a user for a supplier



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml post /api/public/buyer/v1/suppliers/{supplier_id}/users
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/suppliers/{supplier_id}/users:
    parameters:
      - name: supplier_id
        in: path
        example: 99999a99-b888-777c-666d-55555555555e
        required: true
        schema:
          type: string
    post:
      tags:
        - Supplier Users
      summary: Creates a user for a supplier
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  example: John
                last_name:
                  type: string
                  example: Smith
                contact_email:
                  type: string
                  example: hello@chemcloud.com.au
              required:
                - first_name
                - last_name
                - contact_email
      responses:
        '201':
          description: Supplier user created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  first_name:
                    type: string
                    nullable: true
                    example: John
                  last_name:
                    type: string
                    nullable: true
                    example: Smith
                  contact_email:
                    type: string
                    example: hello@chemcloud.com.au
                  supplier_profile_id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
        '404':
          description: Not found
        '422':
          description: Missing required fields
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````